> ## Documentation Index
> Fetch the complete documentation index at: https://docs.growthmarketing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google SERP

> Retrieves search engine results from Google.



## OpenAPI

````yaml post /google-serp
openapi: 3.0.0
info:
  title: Growth Marketing API
  description: API for company information, logos, MOZ metrics, and SERP data
  version: 1.0.0
  contact:
    name: Growth Marketing AI
    url: https://growthmarketing.ai
servers:
  - url: https://api.growthmarketing.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /google-serp:
    post:
      summary: Google SERP
      description: Retrieves search engine results from Google.
      operationId: getGoogleSerp
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - keyword
              properties:
                keyword:
                  type: string
                  description: Search term
                  example: marketing
                language_code:
                  type: string
                  description: Language code
                  default: en
                  example: en
                location_code:
                  type: integer
                  description: Location code (2840 for US)
                  default: 2840
                  example: 2840
                device:
                  type: string
                  description: Device type
                  default: desktop
                  enum:
                    - desktop
                    - mobile
                  example: desktop
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          api:
                            type: string
                            example: serp
                          function:
                            type: string
                            example: live
                          se:
                            type: string
                            example: google
                          se_type:
                            type: string
                            example: organic
                          language_name:
                            type: string
                            example: English
                          location_name:
                            type: string
                            example: United States
                          keyword:
                            type: string
                            example: marketing
                          device:
                            type: string
                            example: desktop
                          os:
                            type: string
                            example: windows
                          se_domain:
                            type: string
                            example: google.co.uk
                      result:
                        type: array
                        items:
                          $ref: '#/components/schemas/GoogleSerpResult'
                        example:
                          - type: featured_snippet
                            rank_group: 1
                            rank_absolute: 2
                            domain: www.ama.org
                            title: >-
                              What is Marketing? — The Definition of Marketing —
                              AMA
                            description: >-
                              Marketing is the activity, set of institutions,
                              and processes for creating, communicating,
                              delivering, and exchanging offerings that have
                              value for customers, clients, partners, and
                              society at large.
                            url: >-
                              https://www.ama.org/the-definition-of-marketing-what-is-marketing/
                          - type: organic
                            rank_group: 1
                            rank_absolute: 4
                            domain: www.investopedia.com
                            title: >-
                              Marketing in Business: Strategies and Types
                              Explained
                            description: >-
                              Marketing refers to the activities of a company
                              associated with buying, advertising, distributing,
                              or selling a product or service.
                            url: https://www.investopedia.com/terms/m/marketing.asp
                            breadcrumb: >-
                              https://www.investopedia.com › ... › Marketing
                              Essentials
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GoogleSerpResult:
      type: object
      properties:
        type:
          type: string
          example: organic
        rank_group:
          type: integer
          example: 1
        rank_absolute:
          type: integer
          example: 1
        domain:
          type: string
          example: example.com
        title:
          type: string
          example: Example Title
        description:
          type: string
          example: Example description...
        url:
          type: string
          example: https://example.com/page
        breadcrumb:
          type: string
          example: example.com › category › page
    Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Error message
        details:
          type: string
          example: Additional error details
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````